# Generated by Django 2.2.16 on 2021-10-18 10:19

import django.contrib.gis.db.models.fields
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('layouts', '0006_auto_20211018_0840'),
    ]

    operations = [
        migrations.CreateModel(
            name='Area',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True)),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True, verbose_name='Создано')),
                ('updated_at', models.DateTimeField(auto_now=True, null=True, verbose_name='Обновлено')),
                ('region', django.contrib.gis.db.models.fields.PolygonField(srid=4326)),
                ('color', models.CharField(blank=True, max_length=19, null=True)),
                ('layout', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='layouts.Layout')),
            ],
            options={
                'verbose_name': 'Область',
                'verbose_name_plural': 'Области',
            },
        ),
    ]
